rmObjects {EBImage} | R Documentation

## Object removal and reindexation

### Description

The `rmObjects` functions deletes objects from an image by setting their pixel intensity values to 0. `reenumerate` re-enumerates all objects in an image from 0 (background) to the actual number of objects.

### Usage

      rmObjects(x, index)

      reenumerate(x)

### Arguments

`x` | An `Image` object in `Grayscale` color mode or an array containing object masks. Object masks are sets of pixels with the same unique integer value.
`index` | A numeric vector (or a list of vectors if `x` contains multiple frames) containing the indexes of objects to remove in the frame.

### Value

An `Image` object or an array, containing the new objects.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2006-2007

### See Also

`bwlabel`, `watershed`

### Examples

      ## make objects
      x = readImage(system.file('images', 'shapes.png', package='EBImage'))
      x = x[110:512,1:130]
      y = bwlabel(x)
      if (interactive()) display(normalize(y), title='Objects')

      ## remove and reenumerate
      y = rmObjects(y, 5)
      if (interactive()) display(normalize(y), title='Removal')
      y = reenumerate(y)
      if (interactive()) display(normalize(y), title='Reenumerated')

[Package EBImage version 3.0.5 Index]